fping (3.10-2) unstable; urgency=medium

  * Don't abort installation/upgrade if setting capabilities fails. Emit a
    warning instead and recommend to make files setuid via
    dpkg-statoverride as alternative. (Closes: #742229)

 -- Axel Beckert <abe@debian.org>  Fri, 08 Aug 2014 00:28:38 +0200

fping (3.10-1) unstable; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Tue, 06 May 2014 13:26:45 +0200

fping (3.9-2) unstable; urgency=medium

  * Add linux-only dependency on libcap2-bin. (Closes: #741513)
    Thanks to  Jean-Jacques DOTI for the notice.
  * Add bug-script to report permissions and capabilities

 -- Axel Beckert <abe@debian.org>  Thu, 13 Mar 2014 13:25:29 +0100

fping (3.9-1) unstable; urgency=medium

  * New upstream release
  * Use capabilities instead of setuid on Linux
    + Make lintian override for "setuid-binary" architecture-dependent

 -- Axel Beckert <abe@debian.org>  Tue, 11 Mar 2014 19:13:39 +0100

fping (3.8-1) unstable; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Wed, 13 Nov 2013 18:17:22 +0100

fping (3.7-1) unstable; urgency=low

  * New upstream release
  * Simplify debian/rules a lot by building both binaries in one go.
    Thanks David Schweikert for his hint!
    + Drop debian/fping.dirs and debian/fping.install (no more needed)
    + Drop build-dependency on dh-exec (no more needed)
    + Drop versioned build-dependency on dpkg-dev (no more needed)
  * Apply wrap-and-sort.
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 06 Nov 2013 22:09:35 +0100

fping (3.6-1) unstable; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Sat, 12 Oct 2013 13:43:02 +0200

fping (3.6~rc2-1) unstable; urgency=low

  * New upstream release candidate
    + Fixes  loop issue after 65536 pings (Closes: #525431)

 -- Axel Beckert <abe@debian.org>  Tue, 01 Oct 2013 21:01:51 +0200

fping (3.5-1) unstable; urgency=low

  * New upstream release
  * Pass -DIPV6=1 to CPPFLAGS instead to CFLAGS. Thanks Bernhard R. Link
    for the hint!

 -- Axel Beckert <abe@debian.org>  Fri, 24 May 2013 00:32:51 +0200

fping (3.4-3) unstable; urgency=low

  * Upload to unstable again.
  * Use dh_exec to install fping6 via dh_install
    - Add build-dependency on dh-exec.
    - Bump compat-level and build-dependency of debhelper to 9 to be
      able to use executable install files.
    - Call dh_fixperms before dh_strip due to #706939. (Done by dh7 style
      debian/rules file, too.)
  * Use dh_link and dh_installman.
  * Finally reduce normalized debian/rules to dh7 style.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Disable debhelper verbosity by default.

 -- Axel Beckert <abe@debian.org>  Tue, 07 May 2013 00:33:17 +0200

fping (3.4-2) experimental; urgency=low

  * Use dh_autotools-dev_*config to update config.{guess,sub}.
    - Add build-dependency on autotools-dev.
    - Fixes lintian warning outdated-autotools-helper-file.
  * Pass dpkg-buildflags' CFLAGS to CLFAGS for IPv6 build
    - Fixes blhc warning dpkg-buildflags-missing (1 of 2)

 -- Axel Beckert <abe@debian.org>  Sat, 29 Dec 2012 19:10:05 +0100

fping (3.4-1) experimental; urgency=low

  * New upstream release
  * Fix previous changelog entry (Correct description of solution for
    #661195, mention further bugs fixed by upstream.)

 -- Axel Beckert <abe@debian.org>  Sun, 16 Sep 2012 15:13:27 +0200

fping (3.3~rc1-1) experimental; urgency=low

  * New upstream release candidate
    - Fixes annoying "ICMP host unreachable" if fpinged hosts on the local
      network were not reachable (Closes: #340297)
    - Effect of -q better documented (Closes: #661195)
    - Numeric options in man page are now consistent (Closes: #673348)
    - Looping no more terminates when no route to the target exists
      (Closes: #308695)
    - Fixes ping size on amd64 (LP: #649646)
    - Fixes "options inet6" breaking IPv4 name resolution (Closes:
      #558652, LP: #489860)
    - Fixes -A for fping6 (Closes: #558651)

 -- Axel Beckert <abe@debian.org>  Sat, 21 Jul 2012 02:04:04 +0200

fping (3.2-1) unstable; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Mon, 25 Jun 2012 17:31:44 +0200

fping (3.2~rc1-1) unstable; urgency=low

  * New upstream release candidate
    - Fixes infinite loop
  * Enable hardening build flags
    - Add build dependency on dpkg-dev (>= 1.16.1~)
  * Let the watch file also look for release candidates

 -- Axel Beckert <abe@debian.org>  Sun, 27 May 2012 19:52:55 +0200

fping (3.1-1) unstable; urgency=low

  * New upstream release
  * Add Vcs-* Headers
  * Update watch file to ignore fping-current.tar.gz

 -- Axel Beckert <abe@debian.org>  Thu, 26 Apr 2012 19:10:43 +0200

fping (3.1~rc1-1) unstable; urgency=low

  * Switch to David Schweiker's fping 3 as new upstream
    + Add watch file to point to new upstream
    + Update Homepage field
    + Update debian/rules to fit changed tar ball layout
    + Update debian/copyright
  * New upstream release (Closes: #658230)
    + drop all patches (new upstream included all patches from
      2.4b2-to-ipv6-16.1)
  * Add myself as Uploader.
  * Switch to source format "3.0 (quilt)".
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Bump debhelper compatibility level to 7
    + Let dh_clean remove *-stamp files
    + Replace "dh_clean -k" by "dh_prep"
  * Fix the following lintian warnings:
    + debian-rules-missing-recommended-target
    + package-contains-empty-directory
  * Remove conflicts and replaces against no more existent packages.
  * Use dh_lintian for lintian overrides
    + Rename debian/lintian.overrides to debian/fping.lintian-overrides.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Apr 2012 20:17:48 +0200

fping (2.4b2-to-ipv6-16.1) unstable; urgency=low

  * NMU during Moenchengladbach BSP
  * Fixes FTBFS on kfreebsd (Closes: #555398)
  * Fixes typo "Paramter" in binary

 -- Axel Beckert <abe@deuxchevaux.org>  Sat, 23 Jan 2010 16:22:02 +0100

fping (2.4b2-to-ipv6-16) unstable; urgency=low

  * Fix the following bugs
    - Network byte order sensitivity was missing completely.
      Added hopefully all missing calls.
    - The sequence numbering scheme used led to packet drops.
      Changed it to a more senseful numbering scheme.
    - Some minor C programming mistakes ('=' instead of '==').
    Patch by Stephan Fuhrmann; closes: #502569
  * Add support for command line select timeout setting
    Patch by Marton Balint; closes: #502575
  * Remove symlinks in /usr/sbin; closes: #377732
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 18 Oct 2008 12:04:52 +1100

fping (2.4b2-to-ipv6-15) unstable; urgency=low

  * Added interface binding (-I) for fping
    Patch by Peter Naulls <peter@mushroomnetworks.com>
    Closes: #439014
  * Fixed a couple of typos in fping.8. Closes: #423180
  * Added homepage control header
  * Bumped Standards-Version to 3.7.3
  * Fixed the following lintian issue:
    - debian-rules-sets-DH_COMPAT

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 03 Mar 2008 17:46:17 +1100

fping (2.4b2-to-ipv6-14) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 23 Jun 2006 20:56:39 +1000

fping (2.4b2-to-ipv6-13) unstable; urgency=low

  * Fixed stdout flush problem, closes: #340146.
    Patch by Bart Martens <bart.martens@advalvas.be>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 30 Dec 2005 08:30:09 +1100

fping (2.4b2-to-ipv6-12) unstable; urgency=low

  * Fixed "problem with option -r (retry limit)", closes: #318402.
    Patch by Qingning Huo <qingningh@lanware.co.uk>.
  * Set Standards-Version to 3.6.2 in debian/control and DH_COMPAT
    to 4 in debian/rules..

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 08 Oct 2005 21:26:35 +1000

fping (2.4b2-to-ipv6-11) unstable; urgency=low

  * Fixed "would be useful to specify 'source address' like ping for multi
    homed machines", closes: #198486.
    Patch by Marc Haber <mh+debian-bugs@zugschlus.de>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 02 Jun 2005 08:14:54 +1000

fping (2.4b2-to-ipv6-10) unstable; urgency=low

  * Fixed "unnecessary delay with the -c option after the last packet"
    (Closes: #293856). Patch by Niko Tyni <ntyni@iki.fi>
  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Feb 2005 23:25:57 +1100

fping (2.4b2-to-ipv6-9) unstable; urgency=low

  * Fixed "fping6 always does reverse lookup" (Closes: #273647).
    Patch by Jeroen Massar and forwarded by Bernhard Schmidt <berni@birkenwald.de>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Mon, 10 Jan 2005 00:01:32 +1100

fping (2.4b2-to-ipv6-8) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 09:42:08 +1000

fping (2.4b2-to-ipv6-7) unstable; urgency=low

  * Build fping in build/ipv[46] instead of build and build-ipv6.
  * Made DNS errors non-fatal for IPv6 (closes: #198056).

 -- Herbert Xu <herbert@debian.org>  Fri, 20 Jun 2003 21:36:30 +1000

fping (2.4b2-to-ipv6-6) unstable; urgency=low

  * Do not use incorrect linux.h file (closes: #85468).

 -- Herbert Xu <herbert@debian.org>  Sat, 17 May 2003 14:13:11 +1000

fping (2.4b2-to-ipv6-5) unstable; urgency=low

  * Fixed yet another divide by zero bug (closes: #148445).

 -- Herbert Xu <herbert@debian.org>  Tue,  4 Jun 2002 12:18:03 +1000

fping (2.4b2-to-ipv6-4) unstable; urgency=low

  * Made fping6 setuid (closes: #136386).
  * Moved fping back into bin.
  * Partially applied IPv6 patch to fix IPv6 checksums (closes: #136479).

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Apr 2002 20:36:56 +1000

fping (2.4b2-to-ipv6-3) unstable; urgency=low

  * Added compatibility symlink for fping (closes: #135203).

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Feb 2002 08:34:11 +1100

fping (2.4b2-to-ipv6-2) unstable; urgency=low

  * Turned setuid bit on again since the code before dropping privilegs is
    minimal.
  * Fixed another divide by zero error (closes: #132370).

 -- Herbert Xu <herbert@debian.org>  Thu,  7 Feb 2002 20:10:48 +1100

fping (2.4b2-to-ipv6-1) unstable; urgency=low

  * New upstream release.
  * Install fping into sbin as done by upstream.
  * Turned setuid bit off.

 -- Herbert Xu <herbert@debian.org>  Fri,  1 Feb 2002 22:11:59 +1100

fping (2.2b2-3) unstable; urgency=low

  * Removed INSTALL file from package (closes: #84050).
  * Fixed alignment bug.

 -- Herbert Xu <herbert@debian.org>  Sat, 10 Feb 2001 19:25:18 +1100

fping (2.2b2-2) unstable; urgency=low

  * Made changes for dpkg-statoverride (closes: #83838).

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Jan 2001 21:53:05 +1100

fping (2.2b2-1) unstable; urgency=low

  * New upstream release.
  * Fixed typo that prevented -d from working (closes: #83255).
  * Drop root privileges after opening the socket (closes: #81589).
  * Fixed the options [tip], they were out by a factor of 10
    (Richard Kettlewell, closes: #83742).

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Jan 2001 00:09:41 +1100

fping (2.2b1-2) unstable; urgency=low

  * Fixed typo in control file, spotted by William Ono (closes: #49909).

 -- Herbert Xu <herbert@debian.org>  Mon, 15 May 2000 12:27:03 +1000

fping (2.2b1-1) unstable; urgency=low

  * Initial release.
  * Fixed divide by zero error (closes: #29902).

 -- Herbert Xu <herbert@debian.org>  Sat, 30 Oct 1999 16:36:19 +1000

